[IDT and STAC codecs] Sound playback stopped working in 3.2.0-25

Bug #1013183 reported by Jamie Pocas on 2012-06-14
262
This bug affects 49 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

== SRU Justification ==

Commit 73b3c06f83fbc43b02f1fe8aa770c37c3becb463 ("ALSA: hda/idt - Fix
power-map for speaker-pins with some HP laptops") has been introduced
to the Precise kernel from a stable update. However, this commit
breaks the sound on same HP laptops.

== Fix ==

A backport of commit 6e1c39c6b00d9141a82c231ba7c5e5b1716974b2 from
git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git (branch
fix/hda) fixes this issue.

== Impact ==

Users with HP laptops with the SigmaTel STAC92xx (e.g., HP Pavilion
dv6 Notebook PC) will not be able to play audio.

== Test Case ==

Try to play some audio on a system that has a SigmaTel STAC92xx.

===================================================================

The sound worked in 3.2.0-24 and stopped working when I upgraded to 3.2.0-25. I looked in the sound settings and alsamixer, and the volume level is correct. I have an hp dv6-1350us, if that helps. Here is some other data.

$lspci

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode] (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
00:1f.6 Signal processing controller: Intel Corporation 82801I (ICH9 Family) Thermal Subsystem (rev 03)
02:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)

$cat /proc/asound/card*/codec#*|grep -i codec
Codec: IDT 92HD75B3X5
Codec: LSI ID 1040
Codec: Intel Cantiga HDMI

$ dmesg | grep sound
[ 29.536621] input: HDA Intel HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[ 29.536719] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[ 29.536832] input: HDA Intel Front Line-Out as /devices/pci0000:00/0000:00:1b.0/sound/card0/input14

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-25-generic 3.2.0-25.40
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
Uname: Linux 3.2.0-24-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jpocas 2248 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xda500000 irq 49'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:111d7603,103c3627,00100202 HDA:11c11040,103c137e,00100200 HDA:80862802,80860101,00100000'
   Controls : 29
   Simple ctrls : 14
Date: Thu Jun 14 09:32:19 2012
HibernationDevice: RESUME=UUID=566d1fa6-0db9-4797-a151-37734821ea3e
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=2a0c2457-3743-475e-9ae9-15165fc6a932 ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-04-27 (47 days ago)
dmi.bios.date: 08/25/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.46
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3627
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 18.51
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.46:bd08/25/2011:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvrRev1:rvnHewlett-Packard:rn3627:rvr18.51:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jpocas 2883 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xda500000 irq 49'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:111d7603,103c3627,00100202 HDA:11c11040,103c137e,00100200 HDA:80862802,80860101,00100000'
   Controls : 29
   Simple ctrls : 14
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=566d1fa6-0db9-4797-a151-37734821ea3e
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-25-generic root=UUID=2a0c2457-3743-475e-9ae9-15165fc6a932 ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory /home/jpocas not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-25-generic N/A
 linux-backports-modules-3.2.0-25-generic N/A
 linux-firmware 1.79
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-25-generic x86_64
UpgradeStatus: Upgraded to precise on 2012-04-27 (47 days ago)
UserGroups:

dmi.bios.date: 08/25/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.46
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3627
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 18.51
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.46:bd08/25/2011:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvrRev1:rvnHewlett-Packard:rn3627:rvr18.51:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard

Jamie Pocas (pocas-jamie) wrote :
Jamie Pocas (pocas-jamie) wrote :

Whoops, just realized that I was still booted in 3.2.0-24 when I filed this bug, so the logs are from the WORKING version, 3.2.0-24. I will attach the broken lspci output from 3.2.0-25 shortly. My apologies for the confusion.

Brad Figg (brad-figg) on 2012-06-14
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Just to confirm, if you boot back into 3.2.0-24, sound will start working again?

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: regression-update
Jamie Pocas (pocas-jamie) wrote :

Yes, I was trying to rule out hardware failure so on boot (using the default of grub), I selected "Previous Linux Versions" and then 3.2.0-24. Sound worked at again, and I absent-mindedly proceeded to create the bug report, which then included the wrong logs (from 3.2.0-24 where it works instead of -25 where it doesn't). I will update the bug but I need to reboot into 3.2.0-25. Does it make sense to delete this bug and create a new one since so many files were attached from the wrong kernel version?

Luis Henriques (henrix) wrote :

No, you can use this bug to add that information. It may be useful to keep the logs of both kernels.

The easiest way to add these logs in the bug is probably to boot into the -25 kernel and run "apport-collect 1013183" on a terminal.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

Thanks for the tip, ironically, the apport tool crashed because the "ProblemType" key was not found in the report dictionary (KeyError) in
File "/usr/lib/python2.7/dist-packages/apport/ui.py", line 111, in thread_collect_info

That's a different bug though.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

From your log files, it looks like your using additional hardware connected when using 3.2.0-25 kernel, namely some a mouse and a keyboard. Are you using the Logitech Unifying Receiver to connect wireless mouse/keyboard?

If so, could you please try disconnec the receiver and reboot just to rule out the obvious? We have currently a few bugs open related to wireless receivers, so I would like to make sure the issues you're facing aren't actually related with this (not very likely, though).

Jamie Pocas (pocas-jamie) wrote :

Hi Luis,

I am using USB wired keyboard and mouse. The only thing that is perhaps atypical about it is that I am using the HP port replicator (I don't like to replug everything in when I go to work). I have been using it since ubuntu 9.04 without issue and this is not different. It's also interesting to note that when I am home, I do NOT use a port replicator nor external keyboard/mouse but the sound still does NOT work with 3.2.0-25. So I think scapegoating the port replicator is a red herring, but I only mention it because you had questions about my keyboard/mouse. I think that this is because I took the first log capture at home where I don't use an external keyboard and mouse, and I took the second at work where I use an external keyboard and mouse (and an additional HDMI monitor).

With 3.2.0-25, sound does NOT work with any of these hardware combinations. With 3.2.0-24, it works in all of them.

Shadow Mage (x-shadow-mage-x) wrote :

Hi,

I would like to confirm that this bug appeared in 3.2.0-25 and was not an issue in 3.2.0-24. Myself and a number of other people are all experiencing this issue using an HP Pavilion DV6, as per this thread on Ubuntu Forums: http://ubuntuforums.org/showthread.php?p=12034674

Is it possible that this specifically affects HP Pavilion DV6 laptops (or perhaps other laptops as well with similar hardware)? If there is any additional information I can provide to help just let me know.

Luis Henriques (henrix) wrote :

Ok, so if you're available to test a few kernels, we can try to find the commit on the 3.2.0-25 kernel that introduced the issue. We can start to bisect the kernel between the two tags (3.2.0-24 and 3.2.0-25) until we find it.

I'll start building the first kernel.

(By the way, you may also want to try the kernel currentely under -proposed. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.)

Luis Henriques (henrix) wrote :

Sorry, before we go ahead with what I asked you in comment #31, I would like you to check if the issue is still present in more recent upstream kernels. So here's a few kernels I would like you to test:

v3.2.19: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.19-precise/

v3.3-rc1 http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc1-precise/

v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/

Could you please let me know which (if any) of these kernels solve the issue? Thanks.

Shadow Mage (x-shadow-mage-x) wrote :

Ok, so I tested the kernels mentioned in #32 and here are the results:

v3.2.19: Not fixed

v3.3-rc1: Fixed

v3.3 final: Fixed

For me, using one of the fixed upstream kernels is a satisfiable workaround. However, if these updates won't land in precise automatically (I'm assuming the version won't get bumped from 3.2 to 3.3?), I am still willing to help if there is any more information I can provide.

Thanks!

Luis Henriques (henrix) wrote :

Now that we have this information, we can try to find the commit that fixes your issue (somewhere between v3.2.19 and v3.3-rc1).

If you're available to test a few kernels, I'm happy to assist you running a git bisect. I've already built the first one, you can download it here:

http://people.canonical.com/~henrix/lp1013183/

Please let me know whether this kernel fixes it or not. Thanks!

Jamie Pocas (pocas-jamie) wrote :

Okay, I will test it. Forgive my git ignorance, I am used to using subversion, CVS, etc... but not git. How many commits were there between those versions? Are we going to be binary searching so that we can test as few as possible? Thanks.

Jamie Pocas (pocas-jamie) wrote :

Thanks for the build, but the sound is still not working. Can you please tell me how to build the next revision? Or if it's convenient please provide another set of deb packages? Thanks for your help!

Luis Henriques (henrix) wrote :

Thank you for testing.

In the meantime, I started analysing the commits introduced by 3.2.0-25.40 and found a "suspicious" commit:

73b3c06f83fbc43b02f1fe8aa770c37c3becb463: ALSA: hda/idt - Fix power-map for speaker-pins with some HP laptops

So, I've built another test kernel, this time based on the original 3.2.0-25.40 but reverting this commit.

You can find this kernel here:

http://people.canonical.com/~henrix/lp1013183/

Could you please give it a try and let me know if the regression is still present? Thanks.

Jamie Pocas (pocas-jamie) wrote :

Yes, this WORKS! You've found the culprit. Thanks!

Is this the diff you are referring to?

29 --- a/sound/pci/hda/patch_sigmatel.c
30 +++ b/sound/pci/hda/patch_sigmatel.c
31 @@ -4394,9 +4394,9 @@ static int stac92xx_init(struct hda_code
32 def_conf = get_defcfg_connect(def_conf);
33 /* skip any ports that don't have jacks since presence
34 * detection is useless */
35 - if (def_conf != AC_JACK_PORT_COMPLEX) {
36 - if (def_conf != AC_JACK_PORT_NONE)
37 - stac_toggle_power_map(codec, nid, 1);
38 + if (def_conf != AC_JACK_PORT_NONE &&
39 + !is_jack_detectable(codec, nid)) {
40 + stac_toggle_power_map(codec, nid, 1);
41 continue;
42 }
43 if (enable_pin_detect(codec, nid, STAC_PWR_EVENT)) {

Also, please ignore my comments about binary search. Apparently, that's exactly what the git 'bisect' command is doing. I guess I need to look into this git revision control because it seems to be displacing svn.

Luis Henriques (henrix) wrote :

Great news, thanks a lot for testing.

About git, yeah, you definitely need to move to some decent SCM tool :-)

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Luis Henriques (henrix) wrote :

I've found an mainline patch that hasn't made its way into the stable kernels and that may fix the issue (without reverting the commit mentioned in comment #37).

Would you be able to test the new kernel I've uploaded in:

http://people.canonical.com/~henrix/lp1013183/

Basically, it contains the Precise kernel plus commit bfc89dec97a3db0f14393a86b2fc3d8e13b33c86 ("ALSA: hda/idt - Clean up power-map check code"). Could you also attach the kernel log for this kernel? (You can get the kernel log in /var/log/dmesg after booting the kernel)

Thanks!

Jamie Pocas (pocas-jamie) wrote :

This is working as well. I am attaching the kernel log as requested.

Luis Henriques (henrix) wrote :

Great, thanks a lot for your help. I'll make sure this fix will be available in Ubuntu kernel.

Jamie Pocas (pocas-jamie) wrote :

I hate to say this but I got home and the sound is not working again. I thought I was imagining things but it's definitely your custom kernel.

$ uname -a
Linux jpocas-dev 3.2.0-26-generic #41~lp1013183v3 SMP Wed Jun 20 12:18:07 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Ed Hynan (ehynan-suffolk) wrote :

The kernel at http://people.canonical.com/~henrix/lp1013183/
didn't work on my HP dv7-2270us (laptop).

Sound was fine with 2.6 kernels (Ubuntu 10.04, Debian Squeeze),
and was working with Ubuntu 12.04 kernels 3.2.0-2{3,4}-generic
(with 3.2.0-24 sound would stop after being suspended several
times; 3.2.0-2{3,4} both have poor sound compared to 2.6.x).

Jamie Pocas (pocas-jamie) wrote :

Hi Ed, if by poor, you mean that the maximum volume is a lot quieter, I would tend to agree.

Luis, here's some more info. I notice that now, when it gets to the unity greeter, it does play the bongo noise. However, once I log into Gnome the sound does not work in any application. The only thing I installed since then was the latest firefox drop.

Luis Henriques (henrix) wrote :

Jamie, have you done a clean boot, or did you just suspended/hibernated your laptop? If you didn't shutdown, could you please try that? Thanks.

Luis Henriques (henrix) wrote :

Forgot to ask: what about the other kernel, the one that simply reverted the offending commit (see comment #37)? If you have uninstalled it, you can try to install it again:

http://people.canonical.com/~henrix/lp1013183/old/

The packages are those tagged with "~lp1013183v2".

Ed: you're hardware is slightly different, I believe. Jamie's laptop is also a HP dv6, and your's a dv7. Although... well, need to investigate that again.

Ed Hynan (ehynan-suffolk) wrote :

Luis, yes the other posters have dv6, but the dv7 is also a 'Pavillion',
etc., and symptoms are the same.

IAC, the kernel at

    http://people.canonical.com/~henrix/lp1013183/old/

(~lp1013183v2) *is* working for me.

Shadow Mage (x-shadow-mage-x) wrote :

Hi Luis,

I've tested the kernels you posted at http://people.canonical.com/~henrix/lp1013183/ and here are the results on my HP Pavilion DV6:

lp1013183v1: Sound OK

lp1013183v2: Sound OK

lp1013183v3: No sound

I also have the /var/log/dmesg logs and will post each one as an attachment now.

Shadow Mage (x-shadow-mage-x) wrote :

/var/log/dmesg for lp1013183v1

Shadow Mage (x-shadow-mage-x) wrote :

/var/log/dmesg for lp1013183v2

Shadow Mage (x-shadow-mage-x) wrote :

/var/log/dmesg for lp1013183v3

Jamie Pocas (pocas-jamie) wrote :

Hi Luis,

Something else is definitely wrong with my system to have cause the recent regression after everything was working again. In fact, sound does not work in gnome even with the original 3.2.0-24 that I had no problems with originally! What's interesting is that the "bongo" sound does play on the unity greeter where you login, and if I go to a terminal (e.g. CTRL-ALT-F1) I can play sounds and music from the terminal but not in any gnome apps. AFAICT from the dpkg.log, the only packages I have installed since your custom kernel was a set of new firefox changes. I am not sure why this would break gnome sound though.

Jamie Pocas (pocas-jamie) wrote :

I tried another test. I went back to your v2 build (3.2.0-25-generic #40~lp1013183v2). Again, sound was only working at the login screen, and from the normal TTYs, but not in any Gnome app. So I logged into TTY1 (CTRL-ALT-F1) and started playing an MP3. Without logging out, I went back to the gnome session (on tty7, via CTRL-ALT-F7) and I could still hear the music playing! Then I opened a firefox window and watched a video. Sound was working there too. I logged out of the terminal session on tty1 and when I came back to the gnome session on tty7, sound was still working. So it seems like I have found a workaround, but it's for a different bug (I suspect).

Luis Henriques (henrix) wrote :

Jamie, I would say you're now hitting a different issue now, and it doesn't look like a kernel issue. Maybe it's worth opening a different bug report.

Anyway, it looks like you all agree that the lp1013183v2 seems to fix the original issue reported in this bug.

Could you please also check whether this issue is fixed upstreams? You can get the latest kernel build (v3.5-rc4) here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc4-quantal/

(Btw, sorry for taking so long replying)

Ed Hynan (ehynan-suffolk) wrote :

Luis, the kernel (amd64) at

      http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc4-quantal/

has no sound on my dv7.

- Ed

Ed Hynan (ehynan-suffolk) wrote :

. . . and to confirm, returning to lp1013183v2, sound returns.

- Ed

Luis Henriques (henrix) wrote :

Ed, great, thanks for testing. I'll report that upstreams as it looks like an upstreams bug.

Luis Henriques (henrix) wrote :

Ed (or anyone else affected by this bug):

Would it be possible for you to run the "alsa-info.sh" script on both a working and a non-working kernel? You can get the script by running the following on the command line:

  $ wget http://www.alsa-project.org/alsa-info.sh

Then, just run the script using:

  $ bash alsa-info.sh

This will collect info on you system and write it down on a text file (the filename will be on /tmp and the script will tell you the file name).

Thanks

Luis Henriques (henrix) wrote :

Just to add to previous comment: It would be great if we could get the output of the alsa-info script for the following kernels:

- The original 3.2.0-25 kernel (sound not working)
- The "lp1013183v2" kernel (sound is working)
- The mainline v3.5-rc4-quantal kernel, referred in comment #56 (sound not working)

This is information required for upstream developers to analyse the issue.

Luis Henriques (henrix) wrote :

Ok, I'm sorry for the noise on the previous comments. Please ignore them.

I just received a patch from upstreams that should solve this issue. I've built a kernel with this patch here:

http://people.canonical.com/~henrix/lp1013183/v4/amd64/

Could you please test it and check that it actually solves the problem?

(A 32bits kernel will be available for testing as well, still building)

Ed Hynan (ehynan-suffolk) wrote :

Luis, I'm now running 3.2.0-26-generic #41~lp1013183v4 sound *is* working.

If I understand your last post #61, you don't want the alsa-info output, so
I won't attach them, but I have them; ask if you want them.

% ls -l
total 160
-rw-r--r-- 1 ##### ##### 31190 Jun 26 13:35 alsa-info_3.2.0-25-generic_lp1013183v2
-rw-r--r-- 1 ##### ##### 30743 Jun 26 14:04 alsa-info_3.2.0-25-generic_Ubuntu-12.04
-rw-r--r-- 1 ##### ##### 30827 Jun 26 14:38 alsa-info_3.2.0-26-generic_lp1013183v4
-rw-r--r-- 1 ##### ##### 31057 Jun 26 13:47 alsa-info_3.5.0-030500rc4-generic_UPSTREAM
%

Luis Henriques (henrix) wrote :

Great, thanks for all the testing Ed (and no, I won't need the alsa-info anymore). I'll queue this fix for the Precise kernel.

Tim Gardner (timg-tpi) on 2012-06-27
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: Triaged → Fix Committed
Luis Henriques (henrix) on 2012-06-27
description: updated
summary: - Sound playback stopped working in 3.2.0-25
+ [IDT and STAC codecs] Sound playback stopped working in 3.2.0-25
Sasa Paporovic (melchiaros) wrote :

I have closed bug

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1006165

as duplicate of this. I have ask there to test 3.2.0.26.28 kernel fro proposed, which does not fix the sound problems.

Two people there tested 3.2.0-26-generic #41~lp1013183v4 from here. That fixes the problem to them.

May be I was wrong, I have thought that the patch was already out to proposed, when it is set to "Fix Comitted"

Can we get a clarification?

David Henningsson (diwic) wrote :

The fix for this bug has not yet reached the proposed kernel. Once it reaches the proposed kernel, there will be a comment asking for verification.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-3.3

---------------
linux (3.5.0-3.3) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_MEMTEST=y
    - LP: #1004535
  * [Config] config-check: add support for a cut operation
  * [Config] enforcer -- switch to cut where appropriate

  [ Leann Ogasawara ]

  * Rebase to v3.5-rc5
  * [Config] Updateconfigs after rebase to v3.5-rc5

  [ Luis Henriques ]

  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Seth Forshee ]

  * SAUCE: (drop after 3.5) drm/i915: ignore pipe select bit when checking
    for LVDS register initialization
    - LP: #1012800

  [ Upstream Kernel Changes ]

  * rebase to v3.5-rc5
    - LP: #1013183
    - LP: #1017017
    - LP: #884652
 -- Leann Ogasawara <email address hidden> Mon, 02 Jul 2012 06:41:58 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-27.43). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-done-precise
removed: verification-needed-precise
Shadow Mage (x-shadow-mage-x) wrote :

Hi,

I have tested the 3.2.0-27.43 kernel in -proposed for Precise on my HP DV6 and would like to confirm that it does indeed solve the problem.

Thanks!

Download full text (9.6 KiB)

Hi,

I'm not experiencing problems anymore, since I installed the last updates.

On Tue, Jul 10, 2012 at 11:17 PM, Shadow Mage <email address hidden>wrote:

> Hi,
>
> I have tested the 3.2.0-27.43 kernel in -proposed for Precise on my HP
> DV6 and would like to confirm that it does indeed solve the problem.
>
> Thanks!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1015851).
> https://bugs.launchpad.net/bugs/1013183
>
> Title:
> [IDT and STAC codecs] Sound playback stopped working in 3.2.0-25
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Committed
> Status in “linux” source package in Quantal:
> Fix Released
>
> Bug description:
> == SRU Justification ==
>
> Commit 73b3c06f83fbc43b02f1fe8aa770c37c3becb463 ("ALSA: hda/idt - Fix
> power-map for speaker-pins with some HP laptops") has been introduced
> to the Precise kernel from a stable update. However, this commit
> breaks the sound on same HP laptops.
>
> == Fix ==
>
> A backport of commit 6e1c39c6b00d9141a82c231ba7c5e5b1716974b2 from
> git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git (branch
> fix/hda) fixes this issue.
>
> == Impact ==
>
> Users with HP laptops with the SigmaTel STAC92xx (e.g., HP Pavilion
> dv6 Notebook PC) will not be able to play audio.
>
> == Test Case ==
>
> Try to play some audio on a system that has a SigmaTel STAC92xx.
>
> ===================================================================
>
> The sound worked in 3.2.0-24 and stopped working when I upgraded to
> 3.2.0-25. I looked in the sound settings and alsamixer, and the volume
> level is correct. I have an hp dv6-1350us, if that helps. Here is some
> other data.
>
> $lspci
>
> 00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
> Controller Hub (rev 07)
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series
> Chipset Integrated Graphics Controller (rev 07)
> 00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
> 00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #4 (rev 03)
> 00:1a.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #5 (rev 03)
> 00:1a.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #2 (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
> 00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 1 (rev 03)
> 00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 2 (rev 03)
> 00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 4 (rev 03)
> 00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 5 (rev 03)
> 00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 6 (rev 03)
> 00:1d.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #1 (rev 03)
> 00:1d.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
>...

Read more...

Download full text (9.5 KiB)

Hi,

I'm not experiencing problems anymore, since I instal

On Tue, Jul 10, 2012 at 11:17 PM, Shadow Mage <email address hidden>wrote:

> Hi,
>
> I have tested the 3.2.0-27.43 kernel in -proposed for Precise on my HP
> DV6 and would like to confirm that it does indeed solve the problem.
>
> Thanks!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1015851).
> https://bugs.launchpad.net/bugs/1013183
>
> Title:
> [IDT and STAC codecs] Sound playback stopped working in 3.2.0-25
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Committed
> Status in “linux” source package in Quantal:
> Fix Released
>
> Bug description:
> == SRU Justification ==
>
> Commit 73b3c06f83fbc43b02f1fe8aa770c37c3becb463 ("ALSA: hda/idt - Fix
> power-map for speaker-pins with some HP laptops") has been introduced
> to the Precise kernel from a stable update. However, this commit
> breaks the sound on same HP laptops.
>
> == Fix ==
>
> A backport of commit 6e1c39c6b00d9141a82c231ba7c5e5b1716974b2 from
> git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git (branch
> fix/hda) fixes this issue.
>
> == Impact ==
>
> Users with HP laptops with the SigmaTel STAC92xx (e.g., HP Pavilion
> dv6 Notebook PC) will not be able to play audio.
>
> == Test Case ==
>
> Try to play some audio on a system that has a SigmaTel STAC92xx.
>
> ===================================================================
>
> The sound worked in 3.2.0-24 and stopped working when I upgraded to
> 3.2.0-25. I looked in the sound settings and alsamixer, and the volume
> level is correct. I have an hp dv6-1350us, if that helps. Here is some
> other data.
>
> $lspci
>
> 00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
> Controller Hub (rev 07)
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series
> Chipset Integrated Graphics Controller (rev 07)
> 00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
> 00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #4 (rev 03)
> 00:1a.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #5 (rev 03)
> 00:1a.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #2 (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
> 00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 1 (rev 03)
> 00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 2 (rev 03)
> 00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 4 (rev 03)
> 00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 5 (rev 03)
> 00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 6 (rev 03)
> 00:1d.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #1 (rev 03)
> 00:1d.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #2 (rev 0...

Read more...

Gorm Sorensen (gormsoerensen) wrote :

Hello, I have the same problem (no sound) and although I've read everything here I have no idea how to install the fix. I am a complete Ubuntu noob and I don't know how to install the "3.2.0-27.43 kernel" which seems to do the trick for most people.
Can anyone please help me?

Check out comment #67. It points you to https://wiki.ubuntu.com/Testing/EnableProposed which shows how to change you settings to get the update.

Or you can wait a little longer for it to come into the main repositories.

Gorm Sorensen (gormsoerensen) wrote :

I can hereby confirm that 3.2.0-27.43 does NOT work for me - still no sound.

Luis Henriques (henrix) wrote :

Gorm, thank you for testing. However, you're probably facing a different issue. This fix is known to work for HP dv6/dv7 laptops, with SigmaTel STAC92xx audio chipset.

Jamie Pocas (pocas-jamie) wrote :

The reason I have not responded yet was because I haven't been able to install the proposed kernel. This may be a dumb question. I followed the instructions here to enable the proposed changes, which I presume adds some url to the sources.lst (which I remember was the old school way to do this years ago when I was using ubuntu 5.x). Now I should expect the kernel to come down if I run update manager or apt-get update? I don't see it and I have been trying every day this week. I must be doing something wrong or have a broken package cache so I didn't want to respond without testing it.

Sasa Paporovic (melchiaros) wrote :

@all

The 3.2.0-27.x kernel is out. When you have trouble to get it on, please use

https://answers.launchpad.net/ubuntu

This here is not the place for support.

For all that still have touble with the new kernel: You may be subscibed here wrongly.

Please open a new bugreport for handling.

Thank you.

Jamie Pocas (pocas-jamie) wrote :

3.2.0-27 is working with sound! Sorry for the noise about my package management problems. I would consider this fixed.

Read this if you're curious what happened with my upgrade:
Somehow during my testing of various kernel ppas, I ended up with the "linux-image" package getting removed (even though 3.2.0-24 specific kernel image was installed). So it was not updating linux-image automatically to newer versions, since it was technically not installed. I was able to see this when I searched in Synaptic Package Manager for for "linux-image", and 3.2.0-27 did in fact appear there.

Ed Hynan (ehynan-suffolk) wrote :

No good with my dv7-2270us.

Sound worked after boot, but not after suspend/resume.

Ed Hynan (ehynan-suffolk) wrote :

>> No good with my dv7-2270us.

>> Sound worked after boot, but not after suspend/resume.

Sorry, I should have said this is with

    3.2.0-27-generic #43-Ubuntu SMP Fri Jul 6 14:25:57 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

from proposed.

- Ed

Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-27.43

---------------
linux (3.2.0-27.43) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * No change upload to fix .ddeb generation in the PPA.

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1020016

linux (3.2.0-27.42) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020016

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Ike Panhc ]

  * [Config] Updateconfigs
    - LP: #1008345

  [ Luis Henriques ]

  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345

  [ Seth Forshee ]

  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577

  [ Takashi Iwai ]

  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692

  [ Upstream Kernel Changes ]

  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers